import { mergeProps } from "solid-js";

function ColorInput(props) {
    const options = mergeProps({ step: 1 }, props);

    const setValue = (e) => {
        let value = parseFloat(e.currentTarget.value);
        options.onInput(value);
    }

    return (
        <div class="color-input">
            <label>
                <span>{options.label}</span>
                <input type="number"
                    min={options.min} max={options.max} step={options.step}
                    value={options.value} onInput={setValue} />
                <input type="range"
                    min={options.min} max={options.max} step={options.step}
                    value={options.value} onInput={setValue} />
            </label>
        </div>
    )
}

export default ColorInput;
