import { useHslaContext } from "/@/hsla-context";
import ColorInput from "/@lib/color-input";

function Colorer(props) {
    const [hsla, { setH, setS, setL, setA }] = useHslaContext();

    const hslColor = () => `hsla(${hsla().h}, ${hsla().s}%, ${hsla().l}%, ${hsla().a})`;

    return (
        <div class="main-container">
            <div id="colorer">
                <ColorInput label="H" min="1" max="360" value={hsla().h} onInput={setH} />
                <ColorInput label="S" min="0" max="100" value={hsla().s} onInput={setS} />
                <ColorInput label="L" min="0" max="100" value={hsla().l} onInput={setL} />
                <ColorInput label="A" min="0" max="1" step={0.05} value={hsla().a} onInput={setA} />
            </div>
            <div class="color-box" style={{
                "background-color": hslColor()
            }}></div>
            <pre>{hslColor()}</pre>
        </div>
    );
}

export default Colorer;
